module Admin
class PartyListsController < ApplicationController
	before_action :authenticate_user!
	def index
    	@party_lists = PartyList.all
    	render "admin/party_lists/index.html.erb"
  	end
  	def new
  		@party_list = PartyList.new
  		render "admin/party_lists/new.html.erb"
  	end
  	def create
  		@party_list = PartyList.new(party_list_params())

      if @party_list.save
        redirect_to admin_party_lists_path(@party_list.id)
      else
        render "admin/party_lists/new.html.erb"
      end
  	end
  	def edit
  		  @party_list = PartyList.find(params[:id])
  	end
  	def update
      	@party_list = PartyList.find(params[:id])

      if @party_list.update(party_list_params())
        redirect_to admin_party_list_path(@party_list.id)
      else
        render "admin/party_lists/edit.html.erb"
      end
    end
	def show
       @party_list = PartyList.find(params[:id])
		   @candidates = Candidate.all
		   render "admin/party_lists/show.html.erb"
	end
	def destroy
      	@party_list = PartyList.find(params[:id])
   	  	@candidates = Candidate.where(party_list_id: (@party_list.id))
        
        @candidates.each do |candidate|
      		candidate.party_list == ""
        end
        @party_list.destroy
      	redirect_to admin_party_lists_path
  end
	def party_list_params
      params.require(:party_list).permit!
  end

end
end