Rails.application.routes.draw do
  devise_for :views
  devise_for :users
  namespace :admin do
  	 resources :positions
 	 resources :candidates
 	 resources :party_lists
  end

  
 root to: "pages#index"
 get'/pages/about', to: "pages#about"
 get'/votes/new', to: "votes#new"
 get'/party_lists/index', to: "party_lists#index"
 get'/votes/user_profile', to: "votes#profile"
 get'/votes/index', to: "votes#index"
 post'/checkout', to: 'votes#checkout', as: :checkout
 

end
