module Admin
class PositionsController < ApplicationController
	before_action :authenticate_user!
	def index
    	@positions = Position.all
    	render "admin/positions/index.html.erb"
  	end
  	def new
  		@position = Position.new
  		render "admin/positions/new.html.erb"
  	end
  	def create
  		@position = Position.new(position_params())

      if @position.save
        redirect_to admin_position_path(@position.id)
      else
        render "admin/positions/new.html.erb"
      end
  	end
  	def edit
  		  @position = Position.find(params[:id])
  	end
  	def update
      	@position = Position.find(params[:id])

      if @position.update(position_params())
        redirect_to admin_position_path(@position.id)
      else
        render "admin/positions/edit.html.erb"
      end
    end
	def show
		   @position = Position.find(params[:id])
		   @candidates = Candidate.all
		   render "admin/positions/show.html.erb"
	end
	def destroy
    
      	@position = Position.find(params[:id])
   	  	@candidates = Candidate.where(position_id: (@position.id))
        
  	  	@candidates.each do |candidate|
      		@votes = Vote.where(candidate_id: (candidate.id))
          @votes.destroy_all
  	  	end

   	  	@position.destroy
      	@candidates.destroy_all
      	redirect_to admin_positions_path
  end
	def position_params
      params.require(:position).permit!
  end

end
end