class Candidate < ActiveRecord::Base
	validates :first_name, presence: true
	validates :last_name, presence: true
	validates :slogan, uniqueness: true, presence: true
	validates :position, presence: true
	belongs_to :position
	belongs_to :party_list
	has_many :votes
	def to_s
	 "#{first_name} #{last_name}"
	end
end